POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"byteedit_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
// provider-specific example normalized for English documentation
,
"negative_prompt"
:
""
,
"seed"
:
-1
,
"scale"
:
0.5
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "byteedit_v2.0",
// "binary_data_base64": [],
"image_urls": [
"https://xxx"
],
"prompt": "Example prompt from provider documentation.",
"negative_prompt": "",
"seed": -1,
"scale": 0.5,
"return_url": true,
"logo_info": {
"add_logo": false,
"position": 0,
"language": 0,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [],
"image_urls": [
"https://xxxx"
],
"infer_ctx": {
"algorithm_key": "high_aes_scheduler_seededit_v1.6",
"app_key": "2100xxx",
"created_at": "2025-04-24T17:31:15.660547898+08:00",
"generate_id": "",
"log_id": "202504241731056AE80EBE54A94EAE89AC",
"params": {
"app_id": "",
"aspect_ratio": "",
"common_params": "",
"ddim_steps": 0,
"edit_session_id": "",
"fps": 0,
"frames": 0,
"group_name": "",
"height": 1024,
"input_image_url": "",
"is_only_sr": false,
"is_pe": false,
"llm_result": "",
"media_source": "",
"n_samples": 0,
"negative_prompt": "",
// provider-specific example normalized for English documentation
"origin_request_id": "",
"output_height": 1024,
"output_width": 1024,
"pe_result": "",
"predict_tags_result": "",
"rephraser_result": "",
"req_key": "seededit_v16",
"rescale": 0,
"resolution": "",
"scale": 0.5,
"seed": 0,
"shift": 0,
"sr_img2img_fix_steps": 0,
"sr_scale": 0,
"sr_strength": 0.3,
"sr_upscaler": "",
"steps": 0,
"strength": 0.3,
"trace_id": "",
"translate_negative_prompt": "",
"translate_prompt": "",
"use_pre_llm": false,
"use_prompt_aug": false,
"use_sr": true,
"version_id": "",
"video_url": "",
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
"width": 1024
},
"request_id": "a04f81492fc0e8ecc59957137cc02e2c27067344fd6f02c6c0b019ea8c759020",
"session_id": "",
"time_stamp": "1745487075"
},
"llm_result": "",
"pe_result": "",
"predict_tags_result": "",
"rephraser_result": "",
"request_id": "a04f81492fc0e8ecc59957137cc02e2c27067344fd6f02c6c0b019ea8c759020",
// provider-specific example normalized for English documentation
},
"message": "Success",
"request_id": "202504241731056AE80EBE54A94EAE89AC",
"status": 10000,
"time_elapsed": "10.618578556s"
}